
QGIS Application - Bug report #7470

Fail to prompt document save after print composer changes

2013-03-28 01:07 PM - John Tull

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16423

Description

When opening a document then a composer item, making changes to the composer does not dirty the document. If you quit QGIS after

only changing composer items, there is no prompt to save the document and those changes are lost.

Steps:

1) Open existing qgis project with at least one composer item.

2) Open the composer item and make changes, e.g., add or move a scale bar.

3) Close the composer item.

4) Quit QGIS.

Not from dakcarto: "creating/deleting composers marks the project as dirty. this should be a simple fix, with a connection to indexChanged

on the mUndoView"

Associated revisions

Revision 32ddb208 - 2014-06-04 02:10 PM - Nyall Dawson

[composer] Mark project dirty when additional composer related changes occur (fix #7470)

History

#1 - 2013-03-28 01:09 PM - John Tull

Should read "Note from dakcarto", and s/to/from in his comment.

#2 - 2014-06-04 05:11 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"32ddb2084ffd631c2cb319e9be7fc68a6cd3807e".
